Package org.apache.commons.math3.optim.nonlinear.vector

# Class MultivariateVectorOptimizer

java.lang.Object
org.apache.commons.math3.optim.BaseOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.BaseMultivariateOptimizer<PointVectorValuePair>
org.apache.commons.math3.optim.nonlinear.vector.MultivariateVectorOptimizer

Direct Known Subclasses:
  `JacobianMultivariateVectorOptimizer`

@Deprecated public abstract class MultivariateVectorOptimizer extends BaseMultivariateOptimizer<PointVectorValuePair>
Deprecated.
Base class for a multivariate vector function optimizer.

Since:
  3.1

## Field Summary

### Fields inherited from class org.apache.commons.math3.optim.BaseOptimizer

`evaluations, iterations`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`protected double[]`
`computeObjectiveValue(double[] params)`
Deprecated.
Computes the objective function value.
`double[]`
`getTarget()`
Deprecated.
Gets the observed values to be matched by the objective vector function.
`int`
`getTargetSize()`
Deprecated.
Gets the number of observed values.
`RealMatrix`
`getWeight()`
Deprecated.
Gets the weight matrix of the observations.
`PointVectorValuePair`
`optimize(OptimizationData... optData)`
Deprecated.
Stores data and performs the optimization.
`protected void`
`parseOptimizationData(OptimizationData... optData)`
Deprecated.
Scans the list of (required and optional) optimization data that characterize the problem.

### Methods inherited from class org.apache.commons.math3.optim.BaseMultivariateOptimizer

`getLowerBound, getStartPoint, getUpperBound`

### Methods inherited from class org.apache.commons.math3.optim.BaseOptimizer

`doOptimize, getConvergenceChecker, getEvaluations, getIterations, getMaxEvaluations, getMaxIterations, incrementEvaluationCount, incrementIterationCount, optimize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MultivariateVectorOptimizer

protected MultivariateVectorOptimizer(ConvergenceChecker<PointVectorValuePair> checker)
Deprecated.

Parameters:
  `checker` - Convergence checker.

## Method Details

### computeObjectiveValue

protected double[] computeObjectiveValue(double[] params)
Deprecated.
Computes the objective function value. This method must be called by subclasses to enforce the evaluation counter limit.

Parameters:
  `params` - Point at which the objective function must be evaluated.
Returns:
  the objective function value at the specified point.
Throws:
  `TooManyEvaluationsException` - if the maximal number of evaluations (of the model vector function) is exceeded.

### optimize

public PointVectorValuePair optimize(OptimizationData... optData) throws TooManyEvaluationsException, DimensionMismatchException
Deprecated.
Stores data and performs the optimization.

The list of parameters is open-ended so that sub-classes can extend it with arguments specific to their concrete implementations.

When the method is called multiple times, instance data is overwritten only when actually present in the list of arguments: when not specified, data set in a previous call is retained (and thus is optional in subsequent calls).

Important note: Subclasses must override `BaseOptimizer.parseOptimizationData(OptimizationData[])` if they need to register their own options; but then, they must also call `super.parseOptimizationData(optData)` within that method.

Overrides:
  `optimize` in class `BaseMultivariateOptimizer<PointVectorValuePair>`
Parameters:
  `optData` - Optimization data. In addition to those documented in `BaseMultivariateOptimizer`, this method will register the following data:
  - `Target`
  - `Weight`
  - `ModelFunction`
Returns:
  a point/value pair that satisfies the convergence criteria.
Throws:
  `TooManyEvaluationsException` - if the maximal number of evaluations is exceeded.
  `DimensionMismatchException` - if the initial guess, target, and weight arguments have inconsistent dimensions.

### getWeight

public RealMatrix getWeight()
Deprecated.
Gets the weight matrix of the observations.

Returns:
  the weight matrix.

### getTarget

public double[] getTarget()
Deprecated.
Gets the observed values to be matched by the objective vector function.

Returns:
  the target values.

### getTargetSize

public int getTargetSize()
Deprecated.
Gets the number of observed values.

Returns:
  the length of the target vector.

### parseOptimizationData

protected void parseOptimizationData(OptimizationData... optData)
Deprecated.
Scans the list of (required and optional) optimization data that characterize the problem.

Overrides:
  `parseOptimizationData` in class `BaseMultivariateOptimizer<PointVectorValuePair>`
Parameters:
  `optData` - Optimization data. The following data will be looked for:
  - `Target`
  - `Weight`
  - `ModelFunction`